Subject: Re: OpenSSH and WinCVS in Windows 9x
From: Laurent Pinchart <[email-masked]>
To: [email-masked]
Date: Thu, 8 Aug 2002 20:48:14 +0200

> The problem is not in cygwin.  If you are communicating with pipes
> between non-cygwin application and a cygwin application and expecting
> EOF notification on pipes you are not going to get it.  Microsoft
> doesn't provide any reliable way of finding that information on Windows
> 9x.

That's bad news :-(

From the cygwin code ([email-masked]), I assume that PeekNamedPipe 
returns a negative value for lpTotalBytesAvail on EOF in win2k, and 0 in 
win9x.

I'll write a simple application to check that tomorrow.

BTW I looked at the putty code, and it uses a thread to read from stdin.

Well, I still think it should be possible to get notified of such an event. 
feof() from mscvrt manages to do so...

Laurent Pinchart

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/